Skip to main content
POST
/
api
/
v2.1
/
fincard
/
virtual
/
card
/
v2
/
cardTypes
Support Bins
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/card/v2/cardTypes \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --data '"<string>"'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/card/v2/cardTypes"

payload = "<string>"
headers = {
"X-Forwarded-From": "<x-forwarded-from>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Forwarded-From': '<x-forwarded-from>', 'Content-Type': 'application/json'},
body: JSON.stringify('<string>')
};

fetch('https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/card/v2/cardTypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "code": 200,
  "msg": "Success",
  "data": [
    {
      "cardTypeId": 123,
      "organization": "<string>",
      "country": "<string>",
      "mode": "<string>",
      "bankCardBin": "<string>",
      "type": "<string>",
      "category": "<string>",
      "cardName": "<string>",
      "cardDesc": "<string>",
      "cardPrice": 123,
      "cardPriceCurrency": "<string>",
      "support": [
        "<string>"
      ],
      "risk": [
        "<string>"
      ],
      "needCardHolder": true,
      "supportHolderRegin": [
        "<string>"
      ],
      "supportHolderAreaCode": [
        "<string>"
      ],
      "needDepositForActiveCard": true,
      "depositAmountMinQuotaForActiveCard": 123,
      "depositAmountMaxQuotaForActiveCard": 123,
      "fiatCurrency": "<string>",
      "balanceRetentionQuota": 123,
      "status": "<string>",
      "rechargeCurrency": "<string>",
      "rechargeMinQuota": 123,
      "rechargeMaxQuota": 123,
      "rechargeFeeRate": 123,
      "rechargeFixedFee": 123,
      "rechargeDigital": 123,
      "enableActiveCard": true,
      "enableDeposit": true,
      "enableFreeze": true,
      "enableUnFreeze": true,
      "metadata": {
        "cardHolderMaxCardLimit": 123,
        "cardHolderModel": "<string>",
        "supportSettingNoPinPaymentAmount": true,
        "defaultNoPinPaymentAmount": 123,
        "noPinPaymentAmountMinQuota": 123,
        "noPinPaymentAmountMaxQuota": 123,
        "spendingControls": [
          {
            "interval": "<string>",
            "amount": 123,
            "supportSetting": true
          }
        ],
        "supportSettingMcc": true
      }
    }
  ]
}

Headers

User-Agent
string

User agent

X-Forwarded-For
string

Forwarded for

X-Forwarded-From
string
required

Client application identifier

Example:

"client-app"

X-Tenant-ID
string

Tenant ID

deviceId
string

Device ID

platform
string

Platform

Body

application/json

Empty request body

The body is of type string.

Response

Successful response

Card types response

success
boolean

Success flag

Example:

true

code
integer<int32>

Response code

Example:

200

msg
string

Response message

Example:

"Success"

data
object[]

Card types data